yp_master
yp_next
Fonctions YP/NIS
PHP Manual

# yp_match

(PHP 4, PHP 5 <= 5.0.5)

yp_match — Retourne la ligne associée

### Description

string yp_match ( string `$domain` , string `$map` , string `$key` )

Retourne la valeur associée à la clé `key` pour la carte `map`.

### Liste de paramètres

`domain`

  Le nom du domaine NIS.

`map`

  La carte NIS.

`key`

  Cette clé doit être exacte.

### Valeurs de retour

Retourne la valeur, ou `FALSE` si une erreur survient.

### Exemples

Exemple #1 Exemple avec yp_match()

`<?php
$entry = yp_match($domain, "passwd.byname", "joe");
echo "La valeur trouvée est : " . $entry;
?>`

L'exemple ci-dessus va afficher quelque chose de similaire à :

    joe:##joe:11111:100:Joe User:/home/j/joe:/usr/local/bin/bash

### Voir aussi

- yp_get_default_domain() - Retourne le domaine NIS par défaut

yp_master
yp_next
Fonctions YP/NIS
PHP Manual